Bug 151691 - USB mouse lock-up
USB mouse lock-up
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-21 13:52 EST by Ryan Daly
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-07 11:32:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 4305 None None None Never

  None (edit)
Description Ryan Daly 2005-03-21 13:52:06 EST
Description of problem:
USB mouse locks up, usually in combination with ALT/CTRL modifiers.


Version-Release number of selected component (if applicable):
2.6.9-5.0.3.EL

How reproducible:
Every time.

Steps to Reproduce:
1. Start X
2. Move mouse around while continually pressing CTRL and ALT simultaneously
3. Watch mouse lock
  
Expected results:
No mouse lockup.
Comment 1 Ryan Daly 2005-03-21 14:07:02 EST
I've confirmed that this lock-up occurs with multiple USB mice, and on multiple
systems.
Comment 2 Jason Baron 2005-03-21 17:15:33 EST
hmmm, any messages in /var/log/messages, when the mouse locks up? When it
'locks-up' is the keyboard and system still usuable?
Comment 3 Ryan Daly 2005-03-21 17:46:15 EST
No.  There's nothing there except for the entries when I remove and reinsert the
mouse into the USB port.

The system is still usable.  If the mouse happens to lock up while over a
window, I can still work in that window.  I can also CTRL-ALT-F1 to get to a
console.

I've verified that this lock-up happens both with and without X running (i.e. in
a window manager and with GPM).

The only hardware I've been able to test on is a Dell Precision Workstation
670n.  I do not have RHEL 4 installed on any other systems.
Comment 4 Jason Baron 2005-03-22 16:31:42 EST
is there a kvm involved?
Comment 5 Ryan Daly 2005-03-22 19:27:55 EST
No.  No KVM is being used.
Comment 6 Scott Hunziker 2005-03-30 23:19:40 EST
I have the same problem with Fedora Core 3 (2.6.10-1.770_FC3smp) on a Dell
Dimension 8400.
Comment 7 Ryan Daly 2005-10-07 06:59:32 EDT
After updating the Dell BIOS to A05, no lock-ups have occurred.  The only thing
I'm dealing with now is the mouse jumping across the screen at what appears to
be random times.
Comment 8 Pete Zaitcev 2005-10-07 11:32:02 EDT
Scott and Richard need to file different bugs for different hardware.

As for random jumps, this is quite curious. I see that myself, on entirely
different hardware (Dell D600). I thought maybe something is racy somewhere
between OS and BIOS and bytes get lost. I'm going to have a look at it
as a separate issue.
Comment 9 Ryan Daly 2005-10-07 16:15:04 EDT
I opened a call w/ Red Hat support for this.  If you want the case number, let
me know and I can provide that.  At this point, we were waiting on feedback from
Dell to see if it's possibly (like you said) something in the BIOS.

Note You need to log in before you can comment on or make changes to this bug.